%global enable_debugging 0
#global _internal_version 5b8c902

Summary:  A menu system for the Cinnamon project
Name: cinnamon-menus
Version: 3.2.0
Release: %mkrel 1
License: LGPLv2+
Group: Graphical desktop/Cinnamon
URL: http://cinnamon.linuxmint.com 
# for git
# wget https://github.com/linuxmint/cinnamon-menus/tarball/%%{_internal_version} -O cinnamon-menus-%%{version}.git%%{_internal_version}.tar.gz
#Source0:        http://leigh123linux.fedorapeople.org/pub/%{name}/source/%{name}-%{version}.git%{_internal_version}.tar.gz
Source0:       %{name}-%{version}.tar.gz
#SourceGet0: https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz

BuildRequires: glib2-devel
BuildRequires: pkgconfig
BuildRequires: python-devel
BuildRequires: intltool
BuildRequires: gobject-introspection-devel
BuildRequires: gnome-common

%description
cinnamon-menus is an implementation of the draft "Desktop
Menu Specification" from freedesktop.org. This package
also contains the Cinnamon menu layout configuration files,
.directory files and assorted menu related utility programs,
Python bindings, and a simple menu editor.

%package devel
Summary: Libraries and include files for the Cinnamon menu system
Group: Development/C
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the necessary development libraries for
writing applications that use the Cinnamon menu system.

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure2_5x \
   --disable-static \
   --enable-introspection \
%if %{enable_debugging}
   --enable-debug=yes
%else
   --enable-debug=no
%endif

%make V=1


%install
%{make_install}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS NEWS COPYING.LIB
%{_libdir}/lib*.so.*
%{_libdir}/girepository-1.0/CMenu-3.0.typelib

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/cinnamon-menus-3.0
%{_datadir}/gir-1.0/CMenu-3.0.gir



%changelog
* Mon Jan 23 2017 joequant <joequant> 3.2.0-1.mga6
+ Revision: 1083166
- upgrade to 3.2.0
- upgrade to 3.2.0

* Tue May 03 2016 joequant <joequant> 3.0.0-1.mga6
+ Revision: 1008839
- upgrade to 3.0.0

* Thu Feb 11 2016 umeabot <umeabot> 2.8.0-2.mga6
+ Revision: 953757
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 joequant <joequant> 2.8.0-1.mga6
+ Revision: 893697
- upgrade to 2.8.0

* Fri Jun 26 2015 joequant <joequant> 2.6.0-1.mga6
+ Revision: 844318
- add gnome common
- upgrade to 2.6

* Wed Dec 03 2014 tmb <tmb> 2.4.0-2.mga5
+ Revision: 800483
- bump rel past testing

* Sun Nov 23 2014 joequant <joequant> 2.4.0-1.mga5
+ Revision: 798405
- upgrade to 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-5.mga5
+ Revision: 742819
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.2.0-4.mga5
+ Revision: 693610
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-3.mga5
+ Revision: 678398
- Mageia 5 Mass Rebuild

* Wed May 14 2014 joequant <joequant> 2.2.0-2.mga5
+ Revision: 622768
- rebuild for cauldron

* Sat Apr 19 2014 joequant <joequant> 2.2.0-1.mga5
+ Revision: 616949
- imported package cinnamon-menus

